Evaluations
Evaluate selected models and reuse existing results
Queue missing model/data pairs and reuse existing results or work in progress.
POST
/
v1
/
evaluations
Evaluate selected models and reuse existing results
curl --request POST \
--url https://console.sqwish.ai/v1/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_id": "<string>",
"models": [
"<string>"
]
}
'import requests
url = "https://console.sqwish.ai/v1/evaluations"
payload = {
"dataset_id": "<string>",
"models": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dataset_id: '<string>', models: ['<string>']})
};
fetch('https://console.sqwish.ai/v1/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"dataset_id": "<string>",
"data": [
{
"id": "<string>",
"dataset_id": "<string>",
"model_id": "<string>",
"model_sha256": "<string>",
"model_label": "<string>",
"model_name": "<string>",
"version": 123,
"status": "queued",
"created_at": 123,
"updated_at": 123,
"generation": 123,
"training_job_id": "<string>",
"dataset_sha256": "<string>",
"evaluation_sha256": "<string>",
"method": "sft",
"evaluation_rows": 123,
"decisions": 123,
"completed_rows": 123,
"metrics": {},
"error": {}
}
],
"queued": 123,
"reused": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Authorizations
Create an API key in the console. Required when accounts are enabled.
Body
application/json
Evaluate selected models and reuse existing results
curl --request POST \
--url https://console.sqwish.ai/v1/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_id": "<string>",
"models": [
"<string>"
]
}
'import requests
url = "https://console.sqwish.ai/v1/evaluations"
payload = {
"dataset_id": "<string>",
"models": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dataset_id: '<string>', models: ['<string>']})
};
fetch('https://console.sqwish.ai/v1/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"dataset_id": "<string>",
"data": [
{
"id": "<string>",
"dataset_id": "<string>",
"model_id": "<string>",
"model_sha256": "<string>",
"model_label": "<string>",
"model_name": "<string>",
"version": 123,
"status": "queued",
"created_at": 123,
"updated_at": 123,
"generation": 123,
"training_job_id": "<string>",
"dataset_sha256": "<string>",
"evaluation_sha256": "<string>",
"method": "sft",
"evaluation_rows": 123,
"decisions": 123,
"completed_rows": 123,
"metrics": {},
"error": {}
}
],
"queued": 123,
"reused": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}